<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

/**
 * Site configuration file.
 * 
 * This file contains the setup class
 * 
 * @author Alwin Garside <alwin@linfox.com.br>
 * @copyright Copyright (c) 2007,2008 LinFox Serviços de Informatica LTDA.
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @version 0.4
 * @package libfox
 */

/**
 * Setup class
 * 
 * This abstract class contains constants with the sites configuration.
 * 
 * @package libfox
 */
abstract class setup
{
	const db_hostname     = 'localhost';
	const db_username     = 'root';
	const db_password     = '';
	const db_database     = 'vulpes';
	// These aren't used yet:
	const db_prefix       = 'vp_';
	const db_driver       = 'mysql';
	const db_port         = NULL;

	const db_config_table = 'config';
	const db_config_key   = 'config_id';
	
	const root            = 'vulpes';
	const prefix          = 'lf_';
	const mode            = 'client';
	const action          = 'show_all';
	const libfox_path     = '../../libfox';
}

// Set include path for LibFox
ini_set('include_path', '.:../:'.setup::libfox_path);

// Set default timezone
date_default_timezone_set('America/Recife');

?>