<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'mdl/client_account.php';

/**
 * ip_dao
 * 
 * @package ip
 */
class client_account_dao extends dao
{
	public $key = 'account_id';
	public $foreign_keys = 'client_id,network_id,contract_id,';
	protected $table = 'client_accounts';
	protected $fields_all = 'account_id,client_id,network_id,contract_id,username,ipv4,ipv4_hex,ipv6,ipv6_hex,mac,mac_hex';
	protected $fields_rel_all = array(
		'client_name' => array('clients' => 'name'),
		'network_iface' => array('networks' => 'iface'),
		'service_bind_mac' => array('services' => 'bind_mac'),
		'service_proxy_port' => array('services' => 'proxy_port'),
		'service_upload' => array('services' => 'upload'),
		'service_download' => array('services' => 'download'),
		'network_iface' => array('networks' => 'iface'),
		'contract_status' => array('contracts' => 'status') );
	protected $fields_count = array(
		'scheduled' => array('schedules' => 'schedule_id') );
	protected $left_joins = array(
		'clients.client_id' => 'client_accounts.client_id',
		'networks.network_id' => 'client_accounts.network_id',
		'contracts.contract_id' => 'client_accounts.contract_id',
		'services.service_id' => 'contracts.service_id' );
	protected $joins_sql = '
		LEFT JOIN schedules ON (
			schedules.service_id = services.service_id
			AND schedules.start < CURRENT_TIME
			AND schedules.end > CURRENT_TIME )';
	protected $model = 'client_account';
	public $group_by = 'account_id';
	public $order_by = 'contracts.contract_id';

	public function __construct()
	{
		parent::__construct();
	}

}

?>