<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

class product_dao extends dao
{
	public $key = 'product_id';
	public $foreign_keys = 'brand_id';
	protected $table = 'products';
	protected $fields_rel_all = array(
		'brand_name' => array('brands' => 'name') );
	protected $select_sql = 'COUNT(patrimony.patrimony_id) AS patrimony_count';
	protected $left_joins = array(
		'brands.brand_id' => 'products.brand_id',
		'patrimony.product_id' => 'products.product_id' );
	protected $search_fields = 'products.model,brands.name';
	public $group_by = 'product_id';
	public $order_by = 'brands.name';

	public function __construct()
	{
		parent::__construct();
	}
	
}

?>