<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

class sale_dao extends dao
{
	public $key = 'sale_id';
	protected $table = 'sales';
	protected $fields_rel_all = array(
		'client_name' => array('clients' => 'name'),
		'user_name' => array('users' => 'name') );
	protected $fields_sum = array( 
		'value' => array('products' => 'price') );
	protected $left_joins = array(
		'clients.client_id' => 'sales.client_id',
		'users.user_id' => 'sales.user_id',
		'sale_patrimony.sale_id' => 'sales.sale_id',
		'patrimony.patrimony_id' => 'sale_patrimony.patrimony_id',
		'products.product_id' => 'patrimony.product_id');
	public $group_by = 'sale_id';
	public $order_by = 'sales.sale_id';

	public function __construct()
	{
		parent::__construct();
	}

}

?>