<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'lib/model.php';

class client extends model
{
	private $verified = false;
	private $auth = false;

	public function __construct()
	{
		$this->password = '';
	}

	function verify()
	{
		if ($_POST['action'] == 'logout' || $_GET['action'] == 'logout') {
			$_SESSION = array();
			session_destroy();
			return false;
		} elseif (isset($_POST['client_username']) && isset($_POST['client_password']) && $_SESSION['vulpes_client_session'] != true) {

			if ($this->password == hash('sha512', $_POST['client_password'])) {
				$_SESSION['vulpes_client_session'] = true;
				$_SESSION['vulpes_client_username'] = $this->username;
				$_SESSION['vulpes_client_name'] = $this->name;
				$_SESSION['vulpes_client_email'] = $this->email;
			} else {
				return false;
			}
		}
		
		if ($_SESSION['vulpes_client_session'] == true) return true;
		return false;
	}
	
	function info()
	{
		if (!$this->exists) {
			$this->error = 'client_doesnt_exist';
			return false;
		}
		$result = '<client>' . $this->xml_iterate();
		foreach ($this->contracts as &$contract) {
			$result .= $contract->xml_iterate();
		}
		$result .= '</client>';
		return $result;
	}
	
	function set_password($password)
	{
		$this->password = hash('sha512', $password); 
	}

}

?>
