<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

class radius_plugin extends plugin
{
	public $actions = array(
		'network' => array('update','insert','remove'),
		'contract' => array('update','insert','remove'),
		'client_account' => array('update','insert','remove') );

	public function call()
	{
		$db = db::get_instance();

		// Delete rows that are no longer in clients table.
		$sql = "
			DELETE radcheck.* FROM radcheck, client_accounts
			WHERE radcheck.username <> client_accounts.username";
		$db->query($sql);
		$sql = "
			DELETE radreply.* FROM radreply, client_accounts
			WHERE radreply.username <> client_accounts.username";
		$db->query($sql);
		
		// Find new usernames in client_accounts and insert them in radcheck.
		$sql = "
			INSERT INTO radcheck (
				username, attribute, op, value )
			SELECT client_accounts.username, 'Password', '==', client_accounts.password
			FROM client_accounts
			LEFT JOIN radcheck ON (
				radcheck.username = client_accounts.username
				AND radcheck.attribute = 'Password' )
			WHERE radcheck.username IS NULL";
		$db->query($sql);

		// Find new IPs in client_accounts and insert them in radcheck.
		$sql = "
			INSERT INTO radreply (
				username, attribute, op, value )
			SELECT client_accounts.username, 'Framed-IP-Address', '=', client_accounts.ipv4
			FROM client_accounts
			LEFT JOIN radreply ON (
				radreply.username = client_accounts.username
				AND radreply.attribute = 'Framed-IP-Address' )
			WHERE radreply.username IS NULL";
		$db->query($sql);
		
		// Update rows in radcheck that have changed in clients
		$sql = "
			UPDATE radcheck, client_accounts
			SET radcheck.value = client_accounts.password
			WHERE radcheck.username = client_accounts.username
				AND radcheck.attribute = 'Password'
				AND radcheck.value <> client_accounts.password";
		$db->query($sql);
		$sql = "
			UPDATE radreply, client_accounts
			SET radreply.value = client_accounts.ipv4
			WHERE radreply.username = client_accounts.username
				AND radreply.attribute = 'Framed-IP-Address'
				AND radreply.value <> client_accounts.ipv4";
		$db->query($sql);

		return true;
	}
}

?>