#!/usr/bin/php
<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require 'config.php';
require 'libfox.php';
require 'lib/plugin.php';

if ($argc >= 3) {
	$mode = $argv[1];
	$action = $argv[2];
}

// Load all available plugins
$plugin_names = array();
$plugins_dir = scandir('plugin');
foreach ($plugins_dir as $filename) {
	if (substr($filename,-11) == '_plugin.php') {
		include_once 'plugin/'.$filename;
		$plugin_names[] = substr($filename,0,-4);
	}
}

// Get a initial list of pending tasks
//$task_dao = new task_dao();
//$search_task = $task_dao->fetch_model();
//$search_task->status = 'open';
//$tasks = $task_dao->fetch_all($search_task);

// Cycle through the available plugins
foreach ($plugin_names as $plugin_name) {
	$call_plugin = false;
	$plugin = new $plugin_name();

	if ($plugin->always_call) {
		$call_plugin = true;
	} else {
//		foreach ($tasks as $task) {
			if ($plugin->listen($mode,$action))
				$call_plugin = true;
//		}
	}

	// Call the plugin.
	if ($call_plugin)
		$plugin->call();
}

// After all these tasks have been checked for possible candidates,
// they have fullfilled their duties and can be dismissed.
//foreach ($tasks as $task) {
//	$task_dao->remove($task);
//}

?>
